Subject: Re: benchmark search: default vs v2 vs v3

From: Pierre Neidhardt <[email-masked]>
Date: Sun, 26 Apr 2020 09:29:37 +0200

Hi Simon,

Thanks for taking the time to benchmark this, this is very insightful!

> Usually, my feeling about "guix pull" is... I am waiting!  Therefore,
> I will not see this extra 25s because it is masked by all the other
> work "guix pull" is doing.

I agree and this is a very good point in my opinion.
While I don't expect nor do I need "guix pull" to complete immediately,
this is not true of "guix search".

As Simon suggested, maybe we can wrap a benchmark script together, post
it on the mailing list and ask member to report their results.  Maybe
a few dozen results would give us a better idea of the numbers we are
dealing with.

Cheers!

-- 
Pierre Neidhardt
https://ambrevar.xyz/